# controls.py

from __future__ import division

import pygame


KEYMAP = {
    pygame.K_LEFT: "left",
    pygame.K_RIGHT: "right",
    pygame.K_UP: "up",
    pygame.K_DOWN: "down",
    pygame.K_LCTRL: "attack",
    pygame.K_RCTRL: "attack",
    pygame.K_LALT: "jump",
    pygame.K_RALT: "jump",
    pygame.K_q: "quit",
    }

JOYBUTTONMAP = {
    0: "attack",
    1: "jump",
    }

JOYAXISMAP = {
    0: "left",
    1: "up",
    }


def mapkey(function,values,isaxis):
    for value in values.split(','):
        if value.startswith('js'):
            if isaxis:
                JOYAXISMAP[int(value[2:])] = function
            else:
                JOYBUTTONMAP[int(value[2:])] = function
        else:
            KEYMAP[getattr(pygame,"K_"+value)] = function
